#ifndef DATA_H
#define DATA_H

#include <QString>

class Data
{
  public:
    enum format { seq, space, prefix };

    Data(QString &in);
    Data(int len);
    void clean();
    void to_hex();
    QString get_ascii();
    QString get(int unit, enum format fmt);

  private:
    QString txt;
};

#endif // DATA_H
